GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
GpgFrontend::GpgResultAnalyse Class Referenceabstract
Inheritance diagram for GpgFrontend::GpgResultAnalyse:
Collaboration diagram for GpgFrontend::GpgResultAnalyse:

## Public Member Functions
| GpgResultAnalyse ()=default
| Construct a new Result Analyse object.
const std::string | GetResultReport () const
| Get the Result Report object. More...
int | GetStatus () const
| Get the Status object. More...
void | Analyse ()

## Protected Member Functions
virtual void | do_analyse ()=0
void | set_status (int m_status)
| Set the status object. More...

## Protected Attributes
std::stringstream | stream_
int | status_ = 1
bool | analysed_ = false

## Member Function Documentation

## ◆ GetResultReport()

const std::string GpgFrontend::GpgResultAnalyse::GetResultReport | ( |  | ) | const

Get the Result Report object.

Returns
  const std::string

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

Referenced by GpgFrontend::UI::process_result_analyse().

## ◆ GetStatus()

int GpgFrontend::GpgResultAnalyse::GetStatus | ( |  | ) | const

Get the Status object.

Returns
  int

Referenced by GpgFrontend::UI::process_result_analyse().

## ◆ set_status()

void GpgFrontend::GpgResultAnalyse::set_status | ( | int | m_status | ) |
| protected

Set the status object.

Parameters

  m_status |

The documentation for this class was generated from the following files:

- src/core/function/result_analyse/GpgResultAnalyse.h
- src/core/function/result_analyse/GpgResultAnalyse.cpp